
package de.ivu.elect.presentation.kandidatur.action;

import de.ivu.elect.business.kandidatur.entity.KandidaturStatus;
import de.ivu.elect.business.kandidatur.entity.Listenkandidatur;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wahl.CurrentWahlZulassungspruefungExtended;

public class ListenkandidaturZulassungBestaetigenAction extends AbstractListenkandidaturZulassungAction {

  private static final long serialVersionUID = 1L;

  public ListenkandidaturZulassungBestaetigenAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLVORSCHLAG_QS;
  }

  @Override
  public boolean isDisabledInternal(Listenkandidatur listenkandidatur, CurrentWahlZulassungspruefungExtended currentWahlZulassungspruefung) {
    return !currentWahlZulassungspruefung.isZulassungBestaetigenZulaessig(listenkandidatur);
  }

  @Override
  protected KandidaturStatus getKandidaturStatus() {
    return KandidaturStatus.ZUGELASSEN;
  }

  @Override
  public String getLabelKey() {
    String result = "listenkandidatur.search.action.zulassen";

    if (isNurWas()) {
      result += ".wiederherstellen";
    }

    return result;
  }
}
